Bug 432387 - breaks Cisco VPN kernel module breaks Cisco VPN kernel module
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-11 13:40 EST by Per Nystrom
Modified: 2008-02-20 16:09 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-20 16:09:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Per Nystrom 2008-02-11 13:40:59 EST
Description of problem:
Updated kernel from and re-compiled Cisco VPN module with the
provided vpn_install script, then tried to start the service.

[root@localhost vpnclient]# ./vpn_install 
Cisco Systems VPN Client Version 4.8.01 (0640) Linux Installer
Copyright (C) 1998-2006 Cisco Systems, Inc. All Rights Reserved.

By installing this product you agree that you have read the
license.txt file (The VPN Client license) and will comply with
its terms. 

Directory where binaries will be installed [/usr/local/bin]

Automatically start the VPN service at boot time [yes]

In order to build the VPN kernel module, you must have the
kernel headers for the version of the kernel you are running.

Directory containing linux kernel source code [/lib/modules/]

* Binaries will be installed in "/usr/local/bin".
* Modules will be installed in "/lib/modules/".
* The VPN service will be started AUTOMATICALLY at boot time.
* Kernel source from "/lib/modules/" will be used to
build the module.

Is the above correct [y]

Shutting down /opt/cisco-vpnclient/bin/vpnclient: module cisco_ipsec is not running.
Stopped: /etc/init.d/vpnclient_init (VPN init script)
Making module
make -C /lib/modules/ SUBDIRS=/root/vpnclient modules
make[1]: Entering directory `/usr/src/kernels/'
  Building modules, stage 2.
  MODPOST 1 modules
make[1]: Leaving directory `/usr/src/kernels/'
Copying module to directory "/lib/modules/".
Already have group 'bin'

Creating start/stop script "/etc/init.d/vpnclient_init".
Enabling start/stop script for run level 3,4 and 5.

Installing license.txt (VPN Client license) in "/opt/cisco-vpnclient/":

Installing bundled user profiles in "/etc/opt/cisco-vpnclient/Profiles/":
* Replaced Profiles: sample 

Copying binaries to directory "/opt/cisco-vpnclient/bin".
Adding symlinks to "/usr/local/bin".
Copying setuid binaries to directory "/opt/cisco-vpnclient/bin".
Copying libraries to directory "/opt/cisco-vpnclient/lib".
Copying header files to directory "/opt/cisco-vpnclient/include".

Setting permissions.
    /opt/cisco-vpnclient/bin/cvpnd (setuid root)
    /opt/cisco-vpnclient (group bin readable)
    /etc/opt/cisco-vpnclient (permissions not changed)
* You may wish to change these permissions to restrict access to root.
* You must run "/etc/init.d/vpnclient_init start" before using the client.
* This script will be run AUTOMATICALLY every time you reboot your computer.
[root@localhost vpnclient]# /etc/init.d/vpnclient_init start
Starting /opt/cisco-vpnclient/bin/vpnclient: insmod: error inserting
'/lib/modules/': -1 Invalid module format
Failed (insmod)

[root@localhost vpnclient]# /etc/init.d/vpnclient_init start
Starting /opt/cisco-vpnclient/bin/vpnclient: insmod: error inserting
'/lib/modules/': -1 Invalid module format
Failed (insmod)

Version-Release number of selected component (if applicable):

It was working fine when I was running kernel-
Comment 1 Per Nystrom 2008-02-18 13:29:26 EST
I just updated to and now it's working again.  Feel free to
close this bug.

Note You need to log in before you can comment on or make changes to this bug.